<template>
  <div class="tab selected">
    <div id="shopdesc">{{ shop.description }}</div>
    <div id="mainpagecontent">
      <div id="sales">
        <recent-sales :shop="shop"/>
        <rewards
          v-if="shop.hasRewards"
          :rewards-members="rewardsMembers"/>
      </div>
    </div>
  </div>
</template>

<script>
import Rewards from "../../../../shared/views/Rewards.vue";
import RecentSales from "../RecentSales.vue";
export default {
  components: {
    Rewards,
    RecentSales
  },
  props: {
    shop: Object,
  },
  data() {
    return {
      rewardsMembers: [],
      intervalID: ""
    };
  },
  created: function () {
    if(this.shop.hasRewards) {
      this.getRewardsMembers();
      this.poller();
    }
  },
  destroyed: function () {
    if(this.shop.hasRewards) {
      clearInterval(this.intervalID);
    }
  },
  methods: {
    getRewardsMembers() {
      app.session.SetSession()
        .then( () => {
        app.api.Get( "kiosk/getRewardsMembers/" + app.session.data.id )
          .then( Response => {
            this.rewardsMembers = Response;
          })
          .catch( x => app.Message( x.error, "error" ) );
        });
    },
    poller() {
      this.intervalID = setInterval(() => {
        if(this.$route.name === "snack_shopmain") {
          this.getRewardsMembers();
        }
      }, 10000);
    }
  },
};
</script>

